| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.Accordion

Portability | unportable
Stability | stable
Maintainer | glasser@mit.edu

Contents

Usage

Description
LayoutClass that puts non-focused windows in ribbons at the top and bottom of the screen.
Synopsis

data Accordion a = Accordion

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.Accordion

Then edit your `layoutHook` by adding the Accordion layout:

     myLayout = Accordion ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data Accordion a | Source

Constructors

Accordion |

Instances

LayoutClass Accordion Window
Read (Accordion a)
Show (Accordion a)

Produced by Haddock version 2.4.2